def lunar_addition(a: str, b: str) -> str:
    max_length = max(len(a), len(b))
    result = []
    padded_a = a.zfill(max_length)
    padded_b = b.zfill(max_length)

    for i in range(max_length):
        digit_a = int(padded_a[i])
        digit_b = int(padded_b[i])
        result.append(str(max(digit_a, digit_b)))

    return ''.join(result)


def lunar_multiplication(a: str, b: str) -> tuple:
    results = []

    for i in range(len(b) - 1, -1, -1):
        digit_b = int(b[i])
        current_result = []

        for j in range(len(a) - 1, -1, -1):
            digit_a = int(a[j])
            current_result.append(str(min(digit_a, digit_b)))

        current_result.reverse()
        results.append(''.join(current_result) + '0' * (len(b) - 1 - i))

    final_result = lunar_addition_multiple(results)
    return final_result, results


def lunar_addition_multiple(numbers: list) -> str:
    max_length = max(len(num) for num in numbers)
    padded_numbers = [num.zfill(max_length) for num in numbers]
    result = []

    for i in range(max_length):
        max_digit = '0'
        for num in padded_numbers:
            max_digit = max(max_digit, num[i])
        result.append(max_digit)

    return ''.join(result).lstrip('0')


def main():
    a = input().strip()
    b = input().strip()

    sum_result = lunar_addition(a, b)
    umnosh, intermediate_results = lunar_multiplication(a, b)

    print(f"{sum_result} {umnosh}")


if __name__ == "__main__":
    main()
